Page MenuHomePhabricator

Request a repository for the IP Info Extension
Closed, ResolvedPublic3 Estimated Story Points

Description

Come up with a name for the new extension (IP Info?), request a repository, and update the name of IP Info (if it differs)

Event Timeline

dbarratt created this task.Aug 17 2020, 8:16 PM
ARamirez_WMF set the point value for this task to 3.Aug 26 2020, 4:08 PM
Niharika triaged this task as Medium priority.Aug 26 2020, 4:44 PM

To initiate the naming discussion, how about Extension:IPInfo ?

To initiate the naming discussion, how about Extension:IPInfo ?

That seems fine to me. That casing seems consistent with IPSet and IPUtils

Let's go with IPInfo :)
https://www.mediawiki.org/w/index.php?title=Gerrit/New_repositories/Requests/Entries&type=revision&diff=4064856&oldid=4058895&diffmode=source

I forgot that we'll also need to add some configuration to the CI, but I don't think that shouldn't be too hard.

QChris closed this task as Resolved.Aug 31 2020, 7:32 AM
QChris added a subscriber: QChris.

I've just created the gerrit repo mediawiki/extensions/IPInfo. The Phabricator mirror is at rEIPI.